package nxm.sys.test;

import nxm.sys.lib.Primitive;
import nxm.sys.lib.Time;

/** Primitive used to test Bug 1417.
    @author  J. Czechowski IV
 */
public class test_shell_slow extends Primitive {

  /** deafault constructor */
  public test_shell_slow () {}

  public int open() {
    double time  = MA.getD("TIME",  30);
    String label = MA.getU("LABEL", "ANSWER");
    Object value = MA.getO("VALUE", "DONE");

    M.info("Testing behavior of a command that is slow to start... this will pause/sleep for "+time+" seconds.");

    Time.sleep(time);
    MR.put(label, value);

    return FINISH;
  }
}
